> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax profile

> Returns the current tax profile configuration. Does NOT create or modify data.



## OpenAPI

````yaml get /v1/businesses/{businessId}/tax-estimates/profile
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tax-estimates/profile:
    get:
      tags:
        - Tax Estimates
      summary: Get tax profile
      description: >-
        Returns the current tax profile configuration. Does NOT create or modify
        data.
      operationId: business.tax-estimates.profile.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business
          required: true
          schema:
            type: string
            format: uuid
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: Tax profile for the business
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTaxProfile'
        '404':
          description: Business not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiTaxProfile:
      type: object
      properties:
        type:
          type: string
          description: Resource type.
          example: Tax_Profile
        tax_country_code:
          type: string
          pattern: ^[A-Z]{2}$
          nullable: true
          description: The ISO 3166-1 alpha-2 country code
          example: US
        us_configuration:
          type: object
          nullable: true
          description: US-specific tax configuration
          properties:
            federal:
              type: object
              nullable: true
              description: Federal tax configuration
              properties:
                filing_status:
                  type: string
                  enum:
                    - SINGLE
                    - MARRIED
                    - MARRIED_SEPARATELY
                    - HEAD
                    - WIDOWER
                  nullable: true
                  description: The Tax Federal Filing Status
                annual_w2_income:
                  type: integer
                  format: int64
                  nullable: true
                  description: >-
                    The annual W-2 income total for which tax needs to be
                    calculated on, in cents
                tip_income:
                  type: integer
                  format: int64
                  nullable: true
                  description: >-
                    The year-to-date amount of W-2 income that the filer has
                    earned from tips, in cents
                overtime_income:
                  type: integer
                  format: int64
                  nullable: true
                  description: >-
                    The year-to-date amount of W-2 income that the filer has
                    earned from overtime, in cents
                withholding:
                  type: object
                  nullable: true
                  description: Federal withholding configuration
                  properties:
                    use_custom_withholding:
                      type: boolean
                      nullable: true
                      description: >-
                        Should be set to true if the user wants to specify their
                        own W-2 Withholding amounts
                      example: true
                    amount:
                      type: integer
                      format: int64
                      nullable: true
                      description: >-
                        Federal W-2 Withholding amount, if the user wants to
                        specify their own custom amount, in cents
            state:
              type: object
              nullable: true
              description: State tax configuration
              properties:
                tax_state:
                  type: string
                  pattern: ^[A-Z]{2}$
                  nullable: true
                  description: >-
                    The two-character State (or Province) abbreviation for which
                    tax needs to be calculated on
                  example: CA
                filing_status:
                  type: string
                  enum:
                    - SINGLE
                    - MARRIED
                    - MARRIED_SEPARATELY
                    - HEAD
                    - WIDOWER
                  nullable: true
                  description: The Tax State Filing Status
                num_exemptions:
                  type: integer
                  format: int32
                  nullable: true
                  description: >-
                    The number of state personal exemptions the tax filer
                    qualifies for
                withholding:
                  type: object
                  nullable: true
                  description: State withholding configuration
                  properties:
                    use_custom_withholding:
                      type: boolean
                      nullable: true
                      description: >-
                        Should be set to true if the user wants to specify their
                        own W-2 Withholding amounts
                      example: true
                    amount:
                      type: integer
                      format: int64
                      nullable: true
                      description: >-
                        State W-2 Withholding amount, if the user wants to
                        specify their own custom amount, in cents
            deductions:
              type: object
              nullable: true
              description: Tax deductions configuration
              properties:
                home_office:
                  type: object
                  nullable: true
                  description: Home office deduction configuration
                  properties:
                    use_home_office_deduction:
                      type: boolean
                      nullable: true
                      description: >-
                        If the user wants to use the Simplified Home Office
                        Deduction, this should be set to true.
                      example: true
                    home_office_area:
                      type: number
                      format: double
                      nullable: true
                      description: >-
                        Size of home office in sq. ft; required if using the
                        Simplified Home Office Deduction
                vehicle:
                  type: object
                  nullable: true
                  description: Vehicle and mileage deduction configuration
                  properties:
                    use_mileage_deduction:
                      type: boolean
                      nullable: true
                      description: >-
                        The IRS dictates that you can only use the Standard
                        Mileage Rate or Actual Auto Expenses. Set this to true
                        if the user will be using the Standard Mileage Rate
                      example: false
                    vehicle_business_percent:
                      type: number
                      format: double
                      nullable: true
                      description: >-
                        Canadian users can provide their own business vehicle
                        percentage (instead of using the mileage numbers to
                        determine percentage)
                    mileage:
                      type: object
                      nullable: true
                      description: Mileage estimation configuration
                      properties:
                        use_user_estimated_business_mileage:
                          type: boolean
                          nullable: true
                          description: >-
                            If the user wants to use their own annual business
                            mileage estimate, this should be set to true.
                        user_estimated_business_mileage:
                          type: number
                          format: double
                          nullable: true
                          description: >-
                            Annual business mileage estimate, in miles; required
                            if using user-estimated business mileage
            business_estimates:
              type: object
              nullable: true
              description: Business income and expense estimates
              properties:
                expenses:
                  type: object
                  nullable: true
                  description: Business expense estimates
                  properties:
                    use_user_estimated_business_expenses:
                      type: boolean
                      nullable: true
                      description: >-
                        If the user wants to use their own annual business
                        expenses estimate, this should be set to true.
                    user_estimated_business_expenses:
                      type: integer
                      format: int64
                      nullable: true
                      description: >-
                        Annual business expenses estimate in cents, required if
                        using user-estimated business expenses
                revenue:
                  type: object
                  nullable: true
                  description: Business revenue estimates
                  properties:
                    use_user_estimated_business_revenue:
                      type: boolean
                      nullable: true
                      description: >-
                        If the user wants to use their own annual business
                        income estimate, this should be set to true.
                    user_estimated_business_revenue:
                      type: integer
                      format: int64
                      nullable: true
                      description: >-
                        Annual business income estimate in cents, required if
                        using user-estimated business income
        ca_configuration:
          type: object
          nullable: true
          description: Canadian-specific tax configuration (future use)
        user_has_saved_tax_profile:
          type: boolean
          description: >-
            Whether the user has explicitly saved their tax profile
            configuration.
      description: Tax profile configuration for a business.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````